 
#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: reduction_factor.awk,v $
#	$Revision: 1.1 $
#	$Date: 2006/10/12 12:36:17 $
#	$Author: zapreevis $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: The input is the three files: file1 file2. Each of which
#	should contain the same number of one element rows. The reduction factor is
#	computed for each row as file1.row_i/file2.row_i and the result is written
#	into the out_file_name file.

BEGIN{
	RS="\n| ";
	input_data_files = 0;
	print "----------------------------------------------------";
	print "         Computing the reduction factors            ";
}

{
	if( $0 != "" ){
		records = 0;
		print "    Reading data file: " $0;
		while ( ( getline line < $0 ) > 0){
			data[input_data_files, records] = line;
			records++;
		}
		input_data_files++;
		close($0)
	}
}

END {
	#Outpuit the input data into the output file for gnuplot
	print "  Writing output into: " out_file_name;

	#Print the results row-colump wise
	for ( x = 0; x < records; x ++){
		printf "%.2f\n", data[0, x]/data[1, x] >> out_file_name;
	}
	print "----------------------------------------------------";
}
