#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: performance_generate_statistics.sh,v $
#	$Revision: 1.3 $
#	$Date: 2007/12/01 17:39:09 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: Part of the statistics.sh script, is responsible for
#	generating the *.performance.statistics files.

#Read multiples corresponding to the options list
multiple=`eval cat ../multiple_list | sed -e '/#.*/d' | sed -e "${options_line}!d"`

#Process the resultes files: just live the consumed time
#and compute averages appending them to the previous resultes files
cat ${TEST_CASE_NAME}.results | sed -f ${PERFORMANCE_SED_SCRIPTS}/sed.rules | awk -v mult=${multiple} -v out_file="../${input}.${OPTS}.${STAT_FILES_EXT}" -f ${PERFORMANCE_AWK_SCRIPTS}/average.awk
