#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: split_memory_statistics.awk,v $
#	$Revision: 1.2 $
#	$Date: 2007/12/11 15:43:08 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: Takes the input_file with one test case statistics of the form:
#		MaxVSZ		RSS
#		VSZ		MaxRSS
#		AverVSZ		AverRSS
#	And splits it into 4 parts each of which is appended to the proper *.memory.statistics file
#		MaxVSZ		>>	*.mvsz.memory.statistics	(mvsz_out_file)
#		MaxRSS		>>	*.mrss.memory.statistics	(mrss_out_file)
#		AverVSZ		>>	*.avsz.memory.statistics	(avsz_out_file)
#		AverRSS		>>	*.arss.memory.statistics	(arss_out_file)
#	@param mvsz_out_file - the output file for MaxVSZ
#	@param mrss_out_file - the output file for MaxRSS
#	@param avsz_out_file - the output file for AverVSZ
#	@param arss_out_file - the output file for AverRSS
#

BEGIN {
	if ( mvsz_out_file == "" ) {
		print "\nERROR: The value of parameter  is undefined!"
		exit 1;
	}
	if ( mrss_out_file == "" ) {
		print "\nERROR: The value of parameter  is undefined!"
		exit 1;
	}
	if ( avsz_out_file == "" ) {
		print "\nERROR: The value of parameter  is undefined!"
		exit 1;
	}
	if ( arss_out_file == "" ) {
		print "\nERROR: The value of parameter  is undefined!"
		exit 1;
	}
	row = 0;
}

function exclude_zero( data ){
	if ( data == 0 ) {
		return 1;
	}else{
		return data;
	}
}

{
	#NOTE: We want to use logarithmic scale while plotting so substitute
	#all zerro values with 1
	if ( row == 0 ){
		print exclude_zero($1) >> mvsz_out_file;
	}else{
		if (  row == 1 ) {
			print exclude_zero($2) >> mrss_out_file;
		}else{
			if(  row == 2 ) {
				print exclude_zero($1) >> avsz_out_file;
				print exclude_zero($2) >> arss_out_file;
			}else{
				print "\nERROR: More than three line input!"
				exit 1;
			}
		}
	}
	row = row + 1;
}
