#!/bin/bash -u

#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: generate_eps.sh,v $
#	$Revision: 1.4 $
#	$Date: 2007/12/12 13:23:10 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: Part of the statistics.sh script, is responsible for
#	generating plots using gnuplot
#	
#	@param ${1} the gnuplot template file
#	@param ${2} the minimum function value
#	@param ${3} the maximum function value
#	@param ${4} the data file name the escaped name
#	@param ${5} the data unit string

#Read the input parameters
GNUPLOT_TEMPLATE_FILE=${1}
MIN_VAL=${2}
MAX_VAL=${3}
ESCAPED_DATA_FILE_NAME=${4}
DATA_FILE_NAME=${5}
DATA_UNIT_STR=${6}

GNUPLOT_TMP_SCRIPT_FILE=${GNUPLOT_TEMPLATE_FILE}.tmp

#Modifu the ${GNUPLOT_TEMPLATE_FILE} file, i.e. substitute MIN, MAX for required values
#and also set the proper name for the INPUT file
cat ${GNUPLOT_TEMPLATE_FILE} | sed -e "s/MIN/${MIN_VAL}/;s/MAX/${MAX_VAL}/;s/INPUT/${ESCAPED_DATA_FILE_NAME}/;s/DATA_UNIT/${DATA_UNIT_STR}/" > ${GNUPLOT_TMP_SCRIPT_FILE}

#Generate the eps
echo "    Generating:"
echo "        ${DATA_FILE_NAME}.*.eps"
gnuplot ${GNUPLOT_TMP_SCRIPT_FILE}

rm -f ${GNUPLOT_TMP_SCRIPT_FILE}
